---
lang: en
title: 'API docs: boot.modelapibooter.getapibuilderforpattern'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/boot
permalink: /doc/en/lb4/apidocs.boot.modelapibooter.getapibuilderforpattern.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [ModelApiBooter](./boot.modelapibooter.md) &gt; [getApiBuilderForPattern](./boot.modelapibooter.getapibuilderforpattern.md)

## ModelApiBooter.getApiBuilderForPattern() method

Retrieve the API builder that matches the pattern provided

<b>Signature:</b>

```typescript
getApiBuilderForPattern(pattern: string): Promise<ModelApiBuilder>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  pattern | <code>string</code> | name of pattern for an API builder |

<b>Returns:</b>

`Promise<ModelApiBuilder>`


